Update tudu to 0.10.4.

This commit is contained in:
fcambus 2021-02-19 16:10:02 +00:00
parent 5a38eb7457
commit eaf8dd1b35
3 changed files with 36 additions and 9 deletions

View File

@ -1,9 +1,8 @@
# $OpenBSD: Makefile,v 1.10 2020/05/14 12:12:21 fcambus Exp $
# $OpenBSD: Makefile,v 1.11 2021/02/19 16:10:02 fcambus Exp $
COMMENT = hierarchical todos manager
DISTNAME = tudu-0.10.3
REVISION = 0
DISTNAME = tudu-0.10.4
CATEGORIES = productivity

View File

@ -1,2 +1,2 @@
SHA256 (tudu-0.10.3.tar.gz) = Xli0iqGCpLyIHg9UhFGSB4E1GvQoJc21L6CxUwi/gAQ=
SIZE (tudu-0.10.3.tar.gz) = 61028
SHA256 (tudu-0.10.4.tar.gz) = XuvFKZMwA3vkKTVTIapKtTZQ9P+FdbNJ1iNGZJLFWZM=
SIZE (tudu-0.10.4.tar.gz) = 60959

View File

@ -1,16 +1,44 @@
$OpenBSD: patch-configure,v 1.2 2019/01/18 09:00:15 fcambus Exp $
$OpenBSD: patch-configure,v 1.3 2021/02/19 16:10:02 fcambus Exp $
Remove hardcoded optimizations.
- Fix test programs so they don't error out during configure
- Remove hardcoded optimizations.
Index: configure
--- configure.orig
+++ configure
@@ -304,7 +304,7 @@ echo "ERROR: ${CXX} cannot create executables" >&2 ;
@@ -280,7 +280,7 @@ if [ "${CROSSBUILD}" = 1 ]; then
if [ "$?" = 0 ]; then CXX="${HOST}-${CXX}"; fi
fi
echo "#include <iostream>" > test.cxx
-echo "main(){ std::cout << 1; }" >> test.cxx
+echo "int main(){ std::cout << 1; }" >> test.cxx
(exec ${CXX} ${CXXFLAGS} ${LDFLAGS} test.cxx -lstdc++ >/dev/null 2>&1)
if [ $? = 0 ]; then echo ${CXX}; else
HAVE_LANG_CXX=0
@@ -290,7 +290,7 @@ echo "ERROR: ${CXX} cannot create executables" >&2 ;
do_remove
exit 1
fi
-CXXFLAGS="${CXXFLAGS} -Wall -O2"
+CXXFLAGS="${CXXFLAGS} -Wall"
CPPFLAGS="${CPPFLAGS} "
SRCS="${SRCS} tudu.cc data.cc editor.cc interface.cc window.cc text.cc parser.cc config.cc date.cc screen.cc sched.cc cmd.cc"
SRCS="${SRCS} tudu.cc data.cc editor.cc interface.cc window.cc text.cc parser.cc config.cc date.cc screen.cc scheduler.cc cmd.cc"
check_include() {
@@ -300,7 +300,7 @@ _REQUIRED=$3
printf "checking for $2... "
echo > test.c
echo "#include <${INC}>" >>test.c
-echo "main(){}" >>test.c
+echo "int main(){}" >>test.c
eval \$${COMPILER} ${CFLAGS} ${CPPFLAGS} ${CXXFLAGS} test.c >/dev/null 2>&1
if [ $? = 0 ]; then
eval ${VAR}=1
@@ -337,7 +337,7 @@ _REQUIRED=$3
_CHKLIB_NAME=$2
_CHKLIB_LIBS=$(echo "-l${_CHKLIB_NAME}" | sed 's,\+, -l,g')
printf "checking for lib${_CHKLIB_NAME} ... "
-echo "main(){ }" > test.c
+echo "int main(){ }" > test.c
eval ${S}${COMPILER} ${CFLAGS} ${CPPFLAGS} ${CXXFLAGS} ${LDFLAGS} ${_CHKLIB_LIBS} test.c >/dev/null 2>&1
if [ $? = 0 ]; then
eval ${VAR}=1